<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.organize.*" %>
<%@ page import="net.sz600.database.SzPageInfo" %>
<%@ page import="net.sz600.system.SzProperties" %>
<%@ page import="net.sz600.system.SzLevelNumber" %>
<%@ page import="net.sz600.system.SzPageHelp" %>
<%@ page import="net.sz600.flow.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ include file="/sessionInfo.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%@ include file="/share/title.jsp"%>
<%
  	int iFormID = SzConvert.toInt(request.getParameter("FormID"));
	String sBegin = "";
	String sEnd = "";
	BdFormControl formControl = new BdFormControl();
    String assistant = formControl.getAssistant(iFormID);  
		boolean bStatUser = false;
		if ((";" + assistant + ";").indexOf(";9;") >=0) {
			bStatUser = true;
		}      
    if (!bStatUser) {
    		out.println("本模块没有此功能");
    		out.println(SzPageHelp.backButton());
    		return;
    }	
%>
<%
	LcFlowControl lcFlowControl = new LcFlowControl();
	ArrayList list = lcFlowControl.getUserTransactStat(iFormID, sBegin, sEnd, 1);
	Iterator iter = list.iterator();
	String s[] = null;
%><br>
<table border="0" align="center">
  <tr><td><font size=4><b>个人办理统计表</b></font></td></tr>
</table>
<table width="100%" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="1" cellspacing="0">
<tr class="trClassTitle_c">
	<td rowspan="2">部门</td>
  <td rowspan="2">姓名</td>  
  <td rowspan="2">经手文件总次数</td>
  <td colspan="4">已办</td>
  <td colspan="4">待办</td>
  
  <td rowspan="2">&nbsp;</td>
</tr>
<tr class="trClassTitle_c">
  <td>已办总次数</td>
  <td>超时总次数</td>
  <td>超时比例</td>
  <td>预警</td>  
    
  <td>待办总数</td>
  <td>超时待办</td>
  <td>超时比例</td>
  <td>预警</td>
    
</tr>
<%  

  while (iter != null && iter.hasNext()) {
	s = (String[])iter.next();
	if (s == null) {
		continue;
	}
	
	if (s[2].equals("合计")) {
		s[0] = "";
		out.println("<tr class='titleClass'>");
	} else {
		out.println("<tr>");
		s[0] = SzUserHelp.getDepartName(s[0]);
	}	
%>
  <td align="center"><%=s[0]%>&nbsp;</td>  
  <td align="center"><%=s[2] %>&nbsp;</td>
  
  <td align="center"><%=s[3] %>&nbsp;</td>
  <td align="center"><%=s[4] %>&nbsp;</td>
	<td align="center"><%=s[5] %>&nbsp;</td>
	<td align="center"><%=s[6] %>%&nbsp;</td>
  <td align="center">
  <% 
  	if ( Double.parseDouble(s[6]) > 50) {  		
  		out.println("<img src='../../images/skin1/bar/bar_6.gif' width='10'>");
  	} else if ( Double.parseDouble(s[6]) > 0) {  
  		out.println("<img src='../../images/skin1/bar/bar_2.gif' width='10'>");
  	} else {
  		out.println("&nbsp;");
  	}
  %>
  </td>
  <td align="center"><%=s[7] %>&nbsp;</td>
  <td align="center"><%=s[8] %>&nbsp;</td>
  <td align="center"><%=s[9] %>%&nbsp;</td>
  <td align="center">
  <% 
  	if ( Double.parseDouble(s[9]) > 50) {  		
  		out.println("<img src='../../images/skin1/bar/bar_6.gif' width='10'>");
  	} else if ( Double.parseDouble(s[9]) > 0) {  
  		out.println("<img src='../../images/skin1/bar/bar_2.gif' width='10'>");
  	} else {
  		out.println("&nbsp;");
  	}
  %>
  </td>
  <td align="center"><%=s[10] %>&nbsp;</td>
</tr>
<%
  }
%>
